SECTION "Game Loop", ROM0

Game_Start::
    ld hl, intro_Data
    call Map_Load

    call Player_Init

.loop:
    ld hl, frame
    inc [hl]

    call Keys_Update
    call Player_Update

    ; wait for vblank
    halt

    call Map_Update

    ; ~160 cycles
    ld a, HIGH(_OAM)
    call DMA_Start

    jr .loop
